; SDAS compatible header file N76E003.asm 20210823.
; For Nuvoton N76E003.

;.ifndef N76E003_ASM
;.define N76E003_ASM

;SFR DEFINITION | NOTE | POR RESET VALUE  |  DESCRIPTION

P0 .EQU 0x80 ;               1111'1111|XXXX'XXXX Port 0
   IC3_P00  .EQU 0x80+0 ;Input Capture 3
   MOSI     .EQU 0x80+0 ;Master Out Slave In
   PWM3_P00 .EQU 0x80+0 ;Pulse Width Modulator 3
   T1       .EQU 0x80+0 ;Timer 1
   IC4      .EQU 0x80+1 ;Input Capture 4
   MISO     .EQU 0x80+1 ;Master In Slave Out
   PWM4     .EQU 0x80+1 ;Pulse Width Modulator 4
   ICPCK    .EQU 0x80+2 ;In Circuit Programming Clock
   OCDCK    .EQU 0x80+2 ;On Chip Debugging Clock
   RXD_1    .EQU 0x80+2 ;Receive Data 1
   SCL_P02  .EQU 0x80+2 ;Serial Clock
   ACH6     .EQU 0x80+3 ;ADC Channel 6
   ADC6     .EQU 0x80+3 ;AtoD Channel 6
   AIN6     .EQU 0x80+3 ;Analog In 6
   IC5      .EQU 0x80+3 ;Input Capture 5
   PWM5_P03 .EQU 0x80+3 ;Pulse Width Modulator 5
   ACH5     .EQU 0x80+4 ;ADC Channel 5
   ADC5     .EQU 0x80+4 ;AtoD Channel 5
   AIN5     .EQU 0x80+4 ;Analog In 5
   IC3_P04  .EQU 0x80+4 ;Input Capture 3
   PWM3_P04 .EQU 0x80+4 ;Pulse Width Modulator 3
   STADC    .EQU 0x80+4 ;Start Analog Digital Conversion
   ACH4     .EQU 0x80+5 ;ADC Channel 4
   ADC4     .EQU 0x80+5 ;AtoD Channel 4
   AIN4     .EQU 0x80+5 ;Analog In 4
   IC6      .EQU 0x80+5 ;Input Capture 6
   PWM2_P05 .EQU 0x80+5 ;Pulse Width Modulator 2
   T0       .EQU 0x80+5 ;Timer 0
   ACH3     .EQU 0x80+6 ;ADC Channel 3
   ADC3     .EQU 0x80+6 ;AtoD Channel 3
   AIN3     .EQU 0x80+6 ;Analog In 3
   RXD_P06  .EQU 0x80+6 ;Receive Data
   TXD      .EQU 0x80+6 ;Transmit Data
   ACH2     .EQU 0x80+7 ;ADC Channel 2
   ADC2     .EQU 0x80+7 ;AtoD Channel 2
   AIN2     .EQU 0x80+7 ;Analog In 2
   RXD      .EQU 0x80+7 ;Receive Data
   TXD_P07  .EQU 0x80+7 ;Transmit Data
   P00 .EQU 0x80+0 ;Port 0 Bit 0
   P01 .EQU 0x80+1 ;Port 0 Bit 1
   P02 .EQU 0x80+2 ;Port 0 Bit 2
   P03 .EQU 0x80+3 ;Port 0 Bit 3
   P04 .EQU 0x80+4 ;Port 0 Bit 4
   P05 .EQU 0x80+5 ;Port 0 Bit 5
   P06 .EQU 0x80+6 ;Port 0 Bit 6
   P07 .EQU 0x80+7 ;Port 0 Bit 7
   P0_0 .EQU 0x80+0 ;Port 0 Bit 0
   P0_1 .EQU 0x80+1 ;Port 0 Bit 1
   P0_2 .EQU 0x80+2 ;Port 0 Bit 2
   P0_3 .EQU 0x80+3 ;Port 0 Bit 3
   P0_4 .EQU 0x80+4 ;Port 0 Bit 4
   P0_5 .EQU 0x80+5 ;Port 0 Bit 5
   P0_6 .EQU 0x80+6 ;Port 0 Bit 6
   P0_7 .EQU 0x80+7 ;Port 0 Bit 7
SP .EQU 0x81 ;               0000'0111 Stack Pointer
;DPTR .EQU 0x82 ;             0000'0000 Data Pointer Word
DPL .EQU 0x82 ;             0000'0000 Data Pointer Low byte
DPH .EQU 0x83 ;              0000'0000 Data Pointer High byte
RCTRIM0 .EQU 0x84 ;          0000'0000 Internal RC trim value high byte
RCTRIM1 .EQU 0x85 ;          0000'0000 Internal RC trim value low byte
RWK .EQU 0x86 ;              0000'0000 Wake-up Timer Reload byte
PCON .EQU 0x87 ;             0001'0000|000U'0000 Power Control
   IDL   = 0x01 ;Idle
   PD    = 0x02 ;Power Down
   STOP  = 0x02 ;Stop
   GF0   = 0x04 ;General Flag 0
   GF1   = 0x08 ;General Flag 1
   POF   = 0x10 ;Power On Flag
   SMOD0 = 0x40 ;Serial Mode 0
   SMOD  = 0x80 ;Serial Mode
TCON .EQU 0x88 ;             0000'0000 Timer Control
   IT0 .EQU 0x88+0 ;Interrupt 0 Type
   IE0 .EQU 0x88+1 ;Interrupt 0 Edge
   IT1 .EQU 0x88+2 ;Interrupt 1 Type
   IE1 .EQU 0x88+3 ;Interrupt 1 Edge
   TR0 .EQU 0x88+4 ;Timer 0 Run
   TF0 .EQU 0x88+5 ;Timer 0 Flag
   TR1 .EQU 0x88+6 ;Timer 1 Run
   TF1 .EQU 0x88+7 ;Timer 1 Flag
TMOD .EQU 0x89 ;             0000'0000 Timer Mode control
   T0_M0   = 0x01 ;Timer 0 Mode 0
   T0_M1   = 0x02 ;Timer 0 Mode 1
   T0_M    = 0x03 ;Timer 0 Mode
   T0_CT   = 0x04 ;Timer 0 Counter Timer
   T0_GATE = 0x08 ;Timer 0 Gate
   T1_M0   = 0x10 ;Timer 1 Mode 0
   T1_M1   = 0x20 ;Timer 1 Mode 1
   T1_M    = 0x30 ;Timer 1 Mode
   T1_CT   = 0x40 ;Timer 1 Counter Timer
   T1_GATE = 0x80 ;Timer 1 Gate
   M00   = 0x01 ;Mode 0 Timer 0
   M10   = 0x02 ;Mode 1 Timer 0
   M0    = 0x03 ;Timer 0 Mode
   CT0   = 0x04 ;Counter Timer 0
   GATE0 = 0x08 ;Gate 0
   M01   = 0x10 ;Mode 1 Timer 1
   M11   = 0x20 ;Mode 1 Timer 1
   M1    = 0x30 ;Timer 1 Mode
   CT1   = 0x40 ;Counter Timer 1
   GATE1 = 0x80 ;Gate 1
TL0 .EQU 0x8A ;              0000'0000 Timer 0 Low byte
TL1 .EQU 0x8B ;              0000'0000 Timer 1 Low byte
TH0 .EQU 0x8C ;              0000'0000 Timer 0 High byte
TH1 .EQU 0x8D ;              0000'0000 Timer 1 High byte
CKCON .EQU 0x8E ;            0000'0000 Clock Control
   CLOEN  = 0x02
   T0M    = 0x08 ;Timer 0 Mode
   T1M    = 0x10 ;Timer 1 Mode
   PWMCKS = 0x40 ;Pulse Width Modulator Clock Source
WKCON .EQU 0x8F ;            0000'0000 Self wake-up timer control
   WKPS = 0x07 ;Wake-up Timer Prescaler
   WKTR = 0x08 ;Wake-up Timer Run
   WKTF = 0x10 ;Wake-up Timer Flag
P1 .EQU 0x90 ;               1111'1111|XXXX'XXXX Port 1
   IC2       .EQU 0x90+0 ;Input Capture 2
   PWM2_P10  .EQU 0x90+0 ;Pulse Width Modulator 2
   SPCLK     .EQU 0x90+0 ;Serial Peripheral Clock
   ACH7      .EQU 0x90+1 ;ADC Channel 7
   ADC7      .EQU 0x90+1 ;AtoD Channel 7
   AIN7      .EQU 0x90+1 ;Analog In 7
   CLO       .EQU 0x90+1 ;Clock Out
   IC1       .EQU 0x90+1 ;Input Capture 1
   PWM1_P11  .EQU 0x90+1 ;Pulse Width Modulator 1
   IC0       .EQU 0x90+2 ;Input Capture 0
   PWM0      .EQU 0x90+2 ;Pulse Width Modulator 0
   SCL       .EQU 0x90+3 ;Serial Clock
   STADC_P13 .EQU 0x90+3 ;Start Analog Digital Conversion
   FB        .EQU 0x90+4 ;Fault Brake
   PWM1_P14  .EQU 0x90+4 ;Pulse Width Modulator 1
   SDA       .EQU 0x90+4 ;Serial Data
   IC7       .EQU 0x90+5 ;Input Capture 7
   PWM5_P15  .EQU 0x90+5 ;Pulse Width Modulator 5
   SS        .EQU 0x90+5 ;Slave Select
   ICPDA     .EQU 0x90+6 ;In Circuit Programming Data
   OCDDA     .EQU 0x90+6 ;On Chip Debugger Data
   SDA_P16   .EQU 0x90+6 ;Serial Data
   TXD_1     .EQU 0x90+6 ;Transmit Data 1
   ACH0      .EQU 0x90+7 ;ADC Channel 0
   ADC0      .EQU 0x90+7 ;AtoD Channel 0
   AIN0      .EQU 0x90+7 ;Analog In 0
   INT1      .EQU 0x90+7 ;Interrupt 1
   P10 .EQU 0x90+0 ;Port 1 Bit 0
   P11 .EQU 0x90+1 ;Port 1 Bit 1
   P12 .EQU 0x90+2 ;Port 1 Bit 2
   P13 .EQU 0x90+3 ;Port 1 Bit 3
   P14 .EQU 0x90+4 ;Port 1 Bit 4
   P15 .EQU 0x90+5 ;Port 1 Bit 5
   P16 .EQU 0x90+6 ;Port 1 Bit 6
   P17 .EQU 0x90+7 ;Port 1 Bit 7
   P1_0 .EQU 0x90+0 ;Port 1 Bit 0
   P1_1 .EQU 0x90+1 ;Port 1 Bit 1
   P1_2 .EQU 0x90+2 ;Port 1 Bit 2
   P1_3 .EQU 0x90+3 ;Port 1 Bit 3
   P1_4 .EQU 0x90+4 ;Port 1 Bit 4
   P1_5 .EQU 0x90+5 ;Port 1 Bit 5
   P1_6 .EQU 0x90+6 ;Port 1 Bit 6
   P1_7 .EQU 0x90+7 ;Port 1 Bit 7
SFRS .EQU 0x91 ;TA           0000'0000 SFR Page Selection
   SFRPSEL = 0x01 ;SFR Page Select
   SFRPAGE = 0x01 ;SFR Page
CAPCON0 .EQU 0x92 ;          0000'0000 Input Capture Control 0
   CAPF0  = 0x01 ;Input Capture Flag 0
   CAPF1  = 0x02 ;Input Capture Flag 1
   CAPF2  = 0x04 ;Input Capture Flag 2
   CAPEN0 = 0x10 ;Input Capture 0 Enable
   CAPEN1 = 0x20 ;Input Capture 1 Enable
   CAPEN2 = 0x40 ;Input Capture 2 Enable
CAPCON1 .EQU 0x93 ;          0000'0000 Input Capture Control 1
   CAP0LS = 0x03 ;Input Capture 0 Level Select
   CAP1LS = 0x0C ;Input Capture 1 Level Select
   CAP2LS = 0x30 ;Input Capture 2 Level Select
CAPCON2 .EQU 0x94 ;          0000'0000 Input Capture Control 2
   ENF0 = 0x10 ;Enable Noise Filer on Input Capture 0
   ENF1 = 0x20 ;Enable Noise Filer on Input Capture 1
   ENF2 = 0x40 ;Enable Noise Filer on Input Capture 2
CKDIV .EQU 0x95 ;            0000'0000 Clock Divider
CKSWT .EQU 0x96 ;TA          0011'0000 Clock Switch
   OSC    = 0x06 ;Oscillator Selection Bits
   ECLKST = 0x08 ;External Clock Input Status
   LIRCST = 0x10 ;Low-speed Internal Resistor Capacitor Oscillator Status
   HIRCST = 0x20 ;High-speed Internal Resistor Capacitor Oscillator Status
CKEN .EQU 0x97 ;TA           0011'0000 Clock Enable
   CKSWTF = 0x01 ;Clock Switch Fault Flag
   HIRCEN = 0x20 ;High-speed Internal Oscillator Enable
   EXTEN  = 0xC0 ;External Clock Source Enable
SCON .EQU 0x98 ;             0000'0000 Serial Port 0 Control
   RI  .EQU 0x98+0 ;Receive Interrupt
   TI  .EQU 0x98+1 ;Transmit Interrupt
   RB8 .EQU 0x98+2 ;Receive Bit 8
   TB8 .EQU 0x98+3 ;Transmit Bit 8
   REN .EQU 0x98+4 ;Receive Enable
   SM2 .EQU 0x98+5 ;Serial Mode 2
   SM1 .EQU 0x98+6 ;Serial Mode 1
   SM0 .EQU 0x98+7 ;(WR)Serial Mode 0
   FE  .EQU 0x98+7 ;(RD)Framing Error
SBUF .EQU 0x99 ;             0000'0000 Serial port 0 data Buffer
SBUF_1 .EQU 0x9A ;           0000'0000 Serial port 1 data Buffer
EIE .EQU 0x9B ;              0000'0000 Extensive Interrupt Enable
   EI2C = 0x01 ;Enable Inter-Integrated Circuit
   EPI  = 0x02 ;Enable Pin Interrupt
   ECAP = 0x04 ;Enable Capture
   EPWM = 0x08 ;Enable Pulse Width Modulator
   EWDT = 0x10 ;Enable Watchdog Timer
   EFB  = 0x20 ;Enable Fault Brake
   ESPI = 0x40 ;Enable Serial Perhpheral Interface
   ET2  = 0x80 ;Enable Timer 2
EIE1 .EQU 0x9C ;             0000'0000 Extensive Interrupt Enable 1
   ES_1 = 0x01 ;Enable Serial 1
   ET3  = 0x02 ;Enable Timer 3
   EWKT = 0x04 ;Enable Wake-up Timer
CHPCON .EQU 0x9F ;TA         0000'00U0|0000'00C0 Chip Control
   IAPEN = 0x01 ;In Application Programming Enable
   BS    = 0x02 ;Boot Select
   IAPFF = 0x40 ;In Application Programming Fault Flag
   SWRST = 0x80 ;Software Reset
P2 .EQU 0xA0 ;               0000'000X Port 2
   RST .EQU 0xA0+0 ;Reset
   P20 .EQU 0xA0+0 ;Port 2 Bit 0
   P2_0 .EQU 0xA0+0 ;Port 2 Bit 0
AUXR1 .EQU 0xA2 ;            0000'0000|1U00'0000|U100'0000|UUU0'0000 Auxiliary Register 1
   UART0PX = 0x04 ;Universal Anynchronous Receiver Transmitter 0 Pin eXchange
   GF2     = 0x08 ;General Purpose Flag 2
   HARDF   = 0x20 ;Hard Fault Reset Flag
   RSTPINF = 0x40 ;External Reset Pin Flag
   SWRF    = 0x80 ;Software Reset Flag
BODCON0 .EQU 0xA3 ;TA        CCCC'XC0X|UUUU'XU1X|UUUU'XUUX Brown-out Detection Control 0
   BOS   = 0x01 ;Brown-out Status
   BORF  = 0x02 ;Brown-out Reset Flag
   BORST = 0x04 ;Brown-out Reset Enable
   BOF   = 0x08 ;Brown-out Interrupt Flag
   BOV   = 0x30 ;Brown-out Voltage Select
   BODEN = 0x80 ;Brown-out Detection Enable
IAPTRG .EQU 0xA4 ;TA         0000'0000 In Application Programming Trigger
   IAPGO = 0x01 ;In Application Programming Go
IAPUEN .EQU 0xA5 ;TA         0000'0000 In Application Programming Update Enable
   APUEN = 0x01 ;Application-ROM Update Enable
   LDUEN = 0x02 ;Loader-ROM Update Enable
   CFUEN = 0x04 ;Configuration Bytes Update Enable
IAPAL .EQU 0xA6 ;            0000'0000 In Application Programming Address Low Byte
IAPAH .EQU 0xA7 ;            0000'0000 In Application Programming Address High Byte
IE .EQU 0xA8 ;               0000'0000 Interrupt Enable
   EX0  .EQU 0xA8+0 ;Enable External 0
   ET0  .EQU 0xA8+1 ;Enable Timer 0
   EX1  .EQU 0xA8+2 ;Enable External 1
   ET1  .EQU 0xA8+3 ;Enable Timer 1
   ES   .EQU 0xA8+4 ;Enable Serial
   EBOD .EQU 0xA8+5 ;Enable Brown Out Detection
   EADC .EQU 0xA8+6 ;Enable Analog Digital Converter
   EA   .EQU 0xA8+7 ;Enable All
SADDR .EQU 0xA9 ;            0000'0000 Slave 0 Address
WDCON .EQU 0xAA ;TA          0000'0111|0000'1UUU|0000'UUUU Watchdog Timer Control
   WDPS  = 0x07 ;Watchdog Prescaler Select
   WDTRF = 0x08 ;Watchdog Timer Reset Flag
   WIDPD = 0x10 ;Watchdog Timer Running in Idle or Power-down Mode
   WDTF  = 0x20 ;Watchdog Time-out Flag
   WDCLR = 0x40 ;Watchdog Clear
   WDTR  = 0x80 ;Watchdog Timer Run
BODCON1 .EQU 0xAB ;TA        0000'0001|0000'0UUU Brown-out Detection Control 1
   BODFLT = 0x01 ;Brown Out Detect Filter Control
   LPBOD  = 0x06 ;Low Power Brown Out Detect
P3M1 .EQU 0xAC ;             0000'0001 Port 3 Mode Select 1
   P3M1_0 = 0x01 ;Port 3 Mode 1 Bit 0
P3S .EQU 0xAC ;Page1         0000'0000 Port 3 Schmitt Trigger Input
   P3S_0 = 0x01 ;Port 3 Schmitt Bit 0
P3M2 .EQU 0xAD ;             0000'0000 Port 3 Mode Select 2
   P3M2_0 = 0x01 ;Port 3 Mode 2 Bit 0
P3SR .EQU 0xAD ;Page1        0000'0000 Port 3 Slew Rate
   P3SR_0 = 0x01 ;Port 3 Slew Rate Bit 0
IAPFD .EQU 0xAE ;            0000'0000 In Application Programming Flash Data
IAPCN .EQU 0xAF ;            0011'0000 In Application Programming Control
   FCTRL = 0x0F ;Flash Control
   FCEN  = 0x10 ;Flash Control Enable
   FOEN  = 0x20 ;Flash Overwrite Enable
   IAPB  = 0xC0 ;In Application Programming Byte
P3 .EQU 0xB0 ;               0000'0001|0000'000X Port 3
   ACH1  .EQU 0xB0+0 ;ADC Channel 1
   ADC1  .EQU 0xB0+0 ;AtoD Channel 1
   AIN1  .EQU 0xB0+0 ;Analog In 1
   INT0  .EQU 0xB0+0 ;Interrupt 0
   OSCIN .EQU 0xB0+0 ;Oscillator In
   P30 .EQU 0xB0+0 ;Port 3 Bit 0
   P3_0 .EQU 0xB0+0 ;Port 3 Bit 0
P0M1 .EQU 0xB1 ;             1111'1111 Port 0 Mode Select 1
   P0M1_0 = 0x01 ;Port 0 Bit 0 Mode 1
   P0M1_1 = 0x02 ;Port 0 Bit 1 Mode 1
   P0M1_2 = 0x04 ;Port 0 Bit 2 Mode 1
   P0M1_3 = 0x08 ;Port 0 Bit 3 Mode 1
   P0M1_4 = 0x10 ;Port 0 Bit 4 Mode 1
   P0M1_5 = 0x20 ;Port 0 Bit 5 Mode 1
   P0M1_6 = 0x40 ;Port 0 Bit 6 Mode 1
   P0M1_7 = 0x80 ;Port 0 Bit 7 Mode 1
P0S .EQU 0xB1 ;Page1         0000'0000 Port 0 Schmitt Trigger Input
   P0S_0 = 0x01 ;Port 0 Bit 0 Schmitt
   P0S_1 = 0x02 ;Port 0 Bit 1 Schmitt
   P0S_2 = 0x04 ;Port 0 Bit 2 Schmitt
   P0S_3 = 0x08 ;Port 0 Bit 3 Schmitt
   P0S_4 = 0x10 ;Port 0 Bit 4 Schmitt
   P0S_5 = 0x20 ;Port 0 Bit 5 Schmitt
   P0S_6 = 0x40 ;Port 0 Bit 6 Schmitt
   P0S_7 = 0x80 ;Port 0 Bit 7 Schmitt
P0M2 .EQU 0xB2 ;             0000'0000 Port 0 Mode Select 2
   P0M2_0 = 0x01 ;Port 0 Bit 0 Mode 2
   P0M2_1 = 0x02 ;Port 0 Bit 1 Mode 2
   P0M2_2 = 0x04 ;Port 0 Bit 2 Mode 2
   P0M2_3 = 0x08 ;Port 0 Bit 3 Mode 2
   P0M2_4 = 0x10 ;Port 0 Bit 4 Mode 2
   P0M2_5 = 0x20 ;Port 0 Bit 5 Mode 2
   P0M2_6 = 0x40 ;Port 0 Bit 6 Mode 2
   P0M2_7 = 0x80 ;Port 0 Bit 7 Mode 2
P0SR .EQU 0xB2 ;Page1        0000'0000 Port 0 Slew Rate
   P0SR_0 = 0x01 ;Port 0 Bit 0 Slew Rate
   P0SR_1 = 0x02 ;Port 0 Bit 1 Slew Rate
   P0SR_2 = 0x04 ;Port 0 Bit 2 Slew Rate
   P0SR_3 = 0x08 ;Port 0 Bit 3 Slew Rate
   P0SR_4 = 0x10 ;Port 0 Bit 4 Slew Rate
   P0SR_5 = 0x20 ;Port 0 Bit 5 Slew Rate
   P0SR_6 = 0x40 ;Port 0 Bit 6 Slew Rate
   P0SR_7 = 0x80 ;Port 0 Bit 7 Slew Rate
P1M1 .EQU 0xB3 ;             1111'1111 Port 1 Mode Select 1
   P1M1_0 = 0x01 ;Port 1 Bit 0 Mode 1
   P1M1_1 = 0x02 ;Port 1 Bit 1 Mode 1
   P1M1_2 = 0x04 ;Port 1 Bit 2 Mode 1
   P1M1_3 = 0x08 ;Port 1 Bit 3 Mode 1
   P1M1_4 = 0x10 ;Port 1 Bit 4 Mode 1
   P1M1_5 = 0x20 ;Port 1 Bit 5 Mode 1
   P1M1_6 = 0x40 ;Port 1 Bit 6 Mode 1
   P1M1_7 = 0x80 ;Port 1 Bit 7 Mode 1
P1S .EQU 0xB3 ;Page1         0000'0000 Port 1 Schmitt Trigger Input
   P1S_0 = 0x01 ;Port 1 Bit 0 Schmitt
   P1S_1 = 0x02 ;Port 1 Bit 1 Schmitt
   P1S_2 = 0x04 ;Port 1 Bit 2 Schmitt
   P1S_3 = 0x08 ;Port 1 Bit 3 Schmitt
   P1S_4 = 0x10 ;Port 1 Bit 4 Schmitt
   P1S_5 = 0x20 ;Port 1 Bit 5 Schmitt
   P1S_6 = 0x40 ;Port 1 Bit 6 Schmitt
   P1S_7 = 0x80 ;Port 1 Bit 7 Schmitt
P1M2 .EQU 0xB4 ;             0000'0000 Port 1 Mode Select 2
   P1M2_0 = 0x01 ;Port 1 Bit 0 Mode 2
   P1M2_1 = 0x02 ;Port 1 Bit 1 Mode 2
   P1M2_2 = 0x04 ;Port 1 Bit 2 Mode 2
   P1M2_3 = 0x08 ;Port 1 Bit 3 Mode 2
   P1M2_4 = 0x10 ;Port 1 Bit 4 Mode 2
   P1M2_5 = 0x20 ;Port 1 Bit 5 Mode 2
   P1M2_6 = 0x40 ;Port 1 Bit 6 Mode 2
   P1M2_7 = 0x80 ;Port 1 Bit 7 Mode 2
P1SR .EQU 0xB4 ;Page1        0000'0000 Port 1 Slew Rate
   P1SR_0 = 0x01 ;Port 1 Bit 0 Slew Rate
   P1SR_1 = 0x02 ;Port 1 Bit 1 Slew Rate
   P1SR_2 = 0x04 ;Port 1 Bit 2 Slew Rate
   P1SR_3 = 0x08 ;Port 1 Bit 3 Slew Rate
   P1SR_4 = 0x10 ;Port 1 Bit 4 Slew Rate
   P1SR_5 = 0x20 ;Port 1 Bit 5 Slew Rate
   P1SR_6 = 0x40 ;Port 1 Bit 6 Slew Rate
   P1SR_7 = 0x80 ;Port 1 Bit 7 Slew Rate
P2S .EQU 0xB5 ;              0000'0000 P20 setting and Timer 0/1 output enable
   P2S_0 = 0x01 ;Port 2 Bit 0 Schmitt
   T0OE  = 0x04 ;Timer 0 Output Enable
   T1OE  = 0x08 ;Timer 1 Output Enable
   P20UP = 0x80 ;Port 2 Bit 0 Pull-up Enable
IPH .EQU 0xB7 ;              0000'0000 Interrupt Priority High
   PX0H  = 0x01 ;Priority External 0 High
   PT0H  = 0x02 ;Priority Timer 0 High
   PX1H  = 0x04 ;Priority External 1 High
   PT1H  = 0x08 ;Priority Timer 1 High
   PSH   = 0x10 ;Priority Serial Port High
   PBODH = 0x20 ;Priority Brown Out Detection High
   PADCH = 0x40 ;Priority Analog Digital Converter High
PWMINTC .EQU 0xB7 ;Page1     0000'0000 PWM Interrupt Control
   INTSEL0 = 0x01 ;Interrupt Pair Select 0
   INTSEL1 = 0x02 ;Interrupt Pair Select 1
   INTSEL2 = 0x04 ;Interrupt Pair Select 2
   INTSEL  = 0x07 ;Interrupt Pair Select
   INTTYP0 = 0x10 ;Interrupt Type Select 0
   INTTYP1 = 0x20 ;Interrupt Type Select 1
   INTTYP  = 0x30 ;Interrupt Type Select
IP .EQU 0xB8 ;               0000'0000 Interrupt Priority
   PX0  .EQU 0xB8+0 ;Priority External 0
   PT0  .EQU 0xB8+1 ;Priority Timer 0
   PX1  .EQU 0xB8+2 ;Priority External 1
   PT1  .EQU 0xB8+3 ;Priority Timer 1
   PS   .EQU 0xB8+4 ;Priority Serial
   PBOD .EQU 0xB8+5 ;Priority Brown Out Detection
   PADC .EQU 0xB8+6 ;Priority Analog Digital Converter
SADEN .EQU 0xB9 ;            0000'0000 Slave 0 Address Mask
SADEN_1 .EQU 0xBA ;          0000'0000 Slave 1 Address Mask
SADDR_1 .EQU 0xBB ;          0000'0000 Slave 1 Address
I2DAT .EQU 0xBC ;            0000'0000 Inter-Integrated Circuit Data
I2STAT .EQU 0xBD ;           1111'1000 Inter-Integrated Circuit Status
   I2STAT = 0xF8 ;Inter-Integrated Circuit Status
I2CLK .EQU 0xBE ;            0000'1001 Inter-Integrated Circuit clock
I2TOC .EQU 0xBF ;            0000'0000 Inter-Integrated Circuit Time-out Counter
   I2TOF   = 0x01 ;Inter-Integrated Circuit Time-out Flag
   DIV     = 0x02 ;Divider
   I2TOCEN = 0x04 ;Inter-Integrated Circuit Counter Enable
I2CON .EQU 0xC0 ;            0000'0000 Inter-Integrated Circuit control
   I2CPX .EQU 0xC0+0 ;Inter-Integrated Circuit Pin eXchange
   AA    .EQU 0xC0+2 ;Acknowledge Assert
   SI    .EQU 0xC0+3 ;Status Interrupt
   STO   .EQU 0xC0+4 ;Stop
   STA   .EQU 0xC0+5 ;Start
   I2CEN .EQU 0xC0+6 ;Inter-Integrated Circuit Enable
I2ADDR .EQU 0xC1 ;           0000'0000 Inter-Integrated Circuit Own Slave Address
   GC     = 0x01 ;General Call Bit
   I2ADDR = 0xFE ;Inter-Integrated Circuit Own Slave Address
ADCRL .EQU 0xC2 ;            0000'0000 Analog Digital Coverter Result Low byte
ADCRH .EQU 0xC3 ;            0000'0000 Analog Digital Coverter Result High byte
T3CON .EQU 0xC4 ;            0000'0000 Timer 3 Control
   T3PS    = 0x07 ;Timer 3 Prescaler
   TR3     = 0x80 ;Timer 3 Run Control
   TF3     = 0x10 ;Timer 3 Overflow Flag
   BRCK    = 0x20 ;Serial Port 0 Baud Rate Clock Source
   SMOD0_1 = 0x40 ;Serial Port 1 Serial Mode 0
   SMOD_1  = 0x80 ;Serial Port 1 Serial Mode
PWM4H .EQU 0xC4 ;Page1       0000'0000 PWM4 duty high byte
RL3 .EQU 0xC5 ;              0000'0000 Timer 3 Reload Low Byte
PWM5H .EQU 0xC5 ;Page1       0000'0000 PWM5 duty high byte
RH3 .EQU 0xC6 ;              0000'0000 Timer 3 Reload High Byte
PIOCON1 .EQU 0xC6 ;Page1     0000'0000 PWM I/O switch 1
   PIO11 = 0x02 ;Pulse Width Modulator 1 Input Output Pin Select
   PIO12 = 0x04 ;Pulse Width Modulator 1 Input Output Pin Select
   PIO13 = 0x08 ;Pulse Width Modulator 1 Input Output Pin Select
   PIO15 = 0x20 ;Pulse Width Modulator 1 Input Output Pin Select
TA .EQU 0xC7 ;               0000'0000 Timed Access Protection
T2CON .EQU 0xC8 ;            0000'0000 Timer/Counter 2 Control
   CM_RL2 .EQU 0xC8+0 ;Compart Reload
   TR2    .EQU 0xC8+2 ;Timer 2 Run
   TF2    .EQU 0xC8+7 ;Timer 2 Flag
T2MOD .EQU 0xC9 ;            0000'0000 Timer 2 mode
   LDTS  = 0x03 ;Auto-reLoad Trigger Select
   CMPCR = 0x04 ;Compare Match Auto-Clear
   CAPCR = 0x08 ;Capture Auto-Clear
   T2DIV = 0x70 ;Timer 2 Clock Divider
   LDEN  = 0x80 ;Auto-reLoad Enable
RCMP2L .EQU 0xCA ;           0000'0000 Timer 2 Compare Low Byte
RCMP2H .EQU 0xCB ;           0000'0000 Timer 2 Compare High Byte
TL2 .EQU 0xCC ;              0000'0000 Timer/Counter 2 Low Byte
PWM4L .EQU 0xCC ;Page1       0000'0000 PWM4 duty low byte
TH2 .EQU 0xCD ;              0000'0000 Timer/Counter 2 High Byte
PWM5L .EQU 0xCD ;Page1       0000'0000 PWM5 duty low byte
ADCMPL .EQU 0xCE ;           0000'0000 Analog Digital Coverter Compare Low byte
ADCMPH .EQU 0xCF ;           0000'0000 Analog Digital Coverter Compare High byte
PSW .EQU 0xD0 ;              0000`0000 Program Status Word
   P   .EQU 0xD0+0 ;Parity
   F1  .EQU 0xD0+1 ;Flag 1
   OV  .EQU 0xD0+2 ;Overflow
   RS0 .EQU 0xD0+3 ;Register Select 0
   RS1 .EQU 0xD0+4 ;Register Select 1
   F0  .EQU 0xD0+5 ;Flag 0
   AC  .EQU 0xD0+6 ;Auxiliary Carry
   CY  .EQU 0xD0+7 ;Carry
PWMPH .EQU 0xD1 ;            0000'0000 PWM Period High byte
PWM0H .EQU 0xD2 ;            0000'0000 PWM0 Duty High byte
PWM1H .EQU 0xD3 ;            0000'0000 PWM1 Duty High byte
PWM2H .EQU 0xD4 ;            0000'0000 PWM2 Duty High byte
PWM3H .EQU 0xD5 ;            0000'0000 PWM3 Duty High byte
PNP .EQU 0xD6 ;              0000'0000 PWM Negative Polarity Output Enable
   PNP0 = 0x01 ;Pulse Width Modulator 0 Negative Polarity
   PNP1 = 0x02 ;Pulse Width Modulator 1 Negative Polarity
   PNP2 = 0x04 ;Pulse Width Modulator 2 Negative Polarity
   PNP3 = 0x08 ;Pulse Width Modulator 3 Negative Polarity
   PNP4 = 0x10 ;Pulse Width Modulator 4 Negative Polarity
   PNP5 = 0x20 ;Pulse Width Modulator 5 Negative Polarity
FBD .EQU 0xD7 ;              0000'0000 Fault Brake Data
   FBD0   = 0x01 ;Fault Brake Data 0
   FBD1   = 0x02 ;Fault Brake Data 1
   FBD2   = 0x04 ;Fault Brake Data 2
   FBD3   = 0x08 ;Fault Brake Data 3
   FBD4   = 0x10 ;Fault Brake Data 4
   FBD5   = 0x20 ;Fault Brake Data 5
   FBINLS = 0x40 ;Fault Brake Pin Input Level Select
   FBF    = 0x80 ;Fault Brake Flag
PWMCON0 .EQU 0xD8 ;          0000'0000 PWM control 0
   CLRPWM .EQU 0xD8+4 ;Clear Pulse Width Modulator
   PWMF   .EQU 0xD8+5 ;Pulse Width Modulator Flag
   LOAD   .EQU 0xD8+6 ;Load
   PWMRUN .EQU 0xD8+7 ;Pusle Width Modulator Run
PWMPL .EQU 0xD9 ;            0000'0000 PWM Period Low byte
PWM0L .EQU 0xDA ;            0000'0000 PWM0 Duty Low byte
PWM1L .EQU 0xDB ;            0000'0000 PWM1 Duty Low byte
PWM2L .EQU 0xDC ;            0000'0000 PWM2 Duty Low byte
PWM3L .EQU 0xDD ;            0000'0000 PWM3 Duty Low byte
PIOCON0 .EQU 0xDE ;          0000'0000 PWM I/O switch 0
   PIO00 = 0x01 ;Pulse width Modulator 0 Input Output Pin Select
   PIO01 = 0x02 ;Pulse width Modulator 1 Input Output Pin Select
   PIO02 = 0x04 ;Pulse width Modulator 2 Input Output Pin Select
   PIO03 = 0x08 ;Pulse width Modulator 3 Input Output Pin Select
   PIO04 = 0x10 ;Pulse width Modulator 4 Input Output Pin Select
   PIO05 = 0x20 ;Pulse width Modulator 5 Input Output Pin Select
PWMCON1 .EQU 0xDF ;          0000'0000 PWM control 1
   PWMDIV = 0x07 ;Pulse width Modulator Clock Divider
   FBINEN = 0x08 ;Fault Brake Pin Input Enable
   PWMTYP = 0x10 ;Pulse width Modulation Type select
   GP     = 0x20 ;Group Mode Enable
   PWMMOD = 0xC0 ;Pulse width Modulator Mode select
ACC .EQU 0xE0 ;              0000'0000 Accumulator
   ACC0 .EQU 0xE0+0 ;Accumulator Bit 0
   ACC1 .EQU 0xE0+1 ;Accumulator Bit 1
   ACC2 .EQU 0xE0+2 ;Accumulator Bit 2
   ACC3 .EQU 0xE0+3 ;Accumulator Bit 3
   ACC4 .EQU 0xE0+4 ;Accumulator Bit 4
   ACC5 .EQU 0xE0+5 ;Accumulator Bit 5
   ACC6 .EQU 0xE0+6 ;Accumulator Bit 6
   ACC7 .EQU 0xE0+7 ;Accumulator Bit 7
   ACC_0 .EQU 0xE0+0 ;Accumulator Bit 0
   ACC_1 .EQU 0xE0+1 ;Accumulator Bit 1
   ACC_2 .EQU 0xE0+2 ;Accumulator Bit 2
   ACC_3 .EQU 0xE0+3 ;Accumulator Bit 3
   ACC_4 .EQU 0xE0+4 ;Accumulator Bit 4
   ACC_5 .EQU 0xE0+5 ;Accumulator Bit 5
   ACC_6 .EQU 0xE0+6 ;Accumulator Bit 6
   ACC_7 .EQU 0xE0+7 ;Accumulator Bit 7
ADCCON1 .EQU 0xE1 ;          0000'0000 Analog Digital Coverter Control 1
   ADCEN   = 0x01 ;Analog Digital Coverter Enable
   ADCEX   = 0x02 ;Analog Digital Coverter eXternal Trigger Select
   ETGTYP  = 0x0C ;External Trigger Type
   STADCPX = 0x40 ;Analog Digital Converter eXternal Start Pin
ADCCON2 .EQU 0xE2 ;          0000'0000 Analog Digital Coverter Control 2
   ADCDLY_8 = 0x01 ;Analog Digital Coverter External Trigger Delay Counter 8 Bit
   ADCMPO   = 0x10 ;Analog Digital Coverter Comparator Output Value
   ADCMPEN  = 0x20 ;Analog Digital Coverter Result Comparator Enable
   ADCMPOP  = 0x40 ;Analog Digital Coverter Comparator Output Polarity
   ADFBEN   = 0x80 ;Analog Digital Coverter Compare Result Asserting Fault Brake Enable
ADCDLY .EQU 0xE3 ;           0000'0000 Analog Digital Coverter Trigger Delay
C0L .EQU 0xE4 ;              0000'0000 Input Capture 0 Low Byte
C0H .EQU 0xE5 ;              0000'0000 Input Capture 0 High Byte
C1L .EQU 0xE6 ;              0000'0000 Input Capture 1 Low Byte
C1H .EQU 0xE7 ;              0000'0000 Input Capture 1 High Byte
ADCCON0 .EQU 0xE8 ;          0000'0000 Analog Digital Coverter Control 0
   ADCHS0  .EQU 0xE8+0 ;Analog Digital Channel Select 0
   ADCHS1  .EQU 0xE8+1 ;Analog Digital Channel Select 1
   ADCHS2  .EQU 0xE8+2 ;Analog Digital Channel Select 2
   ADCHS3  .EQU 0xE8+3 ;Analog Digital Channel Select 3
   ETGSEL0 .EQU 0xE8+4 ;External Trigger Select 0
   ETGSEL1 .EQU 0xE8+5 ;External Trigger Select 1
   ADCS    .EQU 0xE8+6 ;Analog Digital Converter Start
   ADCF    .EQU 0xE8+7 ;Analog Digital Converter Flag
PICON .EQU 0xE9 ;            0000'0000 Pin Interrupt Control
   PIPS  = 0x03 ;Pin Interrupt Port Select
   PITO  = 0x04 ;Pin Interrupt Channel 0 Type Select
   PIT1  = 0x08 ;Pin Interrupt Channel 1 Type Select
   PIT2  = 0x10 ;Pin Interrupt Channel 2 Type Select
   PIT3  = 0x20 ;Pin Interrupt Channel 3 Type Select
   PIT45 = 0x40 ;Pin Interrupt Channel 4 & 5 Type Select
   PIT67 = 0x80 ;Pin Interrupt Channel 6 & 7 Type Select
PINEN .EQU 0xEA ;            0000'0000 Pin interrupt low level/falling edge enable
   PINEN0 = 0x01 ;Pin Interrupt 0 Negative Polarity Enable
   PINEN1 = 0x02 ;Pin Interrupt 1 Negative Polarity Enable
   PINEN2 = 0x04 ;Pin Interrupt 2 Negative Polarity Enable
   PINEN3 = 0x08 ;Pin Interrupt 3 Negative Polarity Enable
   PINEN4 = 0x10 ;Pin Interrupt 4 Negative Polarity Enable
   PINEN5 = 0x20 ;Pin Interrupt 5 Negative Polarity Enable
   PIN3N6 = 0x40 ;Pin Interrupt 6 Negative Polarity Enable
   PINEN7 = 0x80 ;Pin Interrupt 7 Negative Polarity Enable
PIPEN .EQU 0xEB ;            0000'0000 Pin interrupt high level/rising edge enable
   PIPEN0 = 0x01 ;Pin Interrupt 0 Positive Polarity Enable
   PIPEN1 = 0x02 ;Pin Interrupt 1 Positive Polarity Enable
   PIPEN2 = 0x04 ;Pin Interrupt 2 Positive Polarity Enable
   PIPEN3 = 0x08 ;Pin Interrupt 3 Positive Polarity Enable
   PIPEN4 = 0x10 ;Pin Interrupt 4 Positive Polarity Enable
   PIPEN5 = 0x20 ;Pin Interrupt 5 Positive Polarity Enable
   PIP3N6 = 0x40 ;Pin Interrupt 6 Positive Polarity Enable
   PIPEN7 = 0x80 ;Pin Interrupt 7 Positive Polarity Enable
PIF .EQU 0xEC ;              0000'0000 Pin interrupt flag
   PIF0 = 0x01 ;Pin Interrupt Flag Channel 0
   PIF1 = 0x02 ;Pin Interrupt Flag Channel 1
   PIF2 = 0x04 ;Pin Interrupt Flag Channel 2
   PIF3 = 0x08 ;Pin Interrupt Flag Channel 3
   PIF4 = 0x10 ;Pin Interrupt Flag Channel 4
   PIF5 = 0x20 ;Pin Interrupt Flag Channel 5
   PIF6 = 0x40 ;Pin Interrupt Flag Channel 6
   PIF7 = 0x80 ;Pin Interrupt Flag Channel 7
C2L .EQU 0xED ;              0000'0000 Input capture 2 low byte
C2H .EQU 0xEE ;              0000'0000 Input capture 2 high byte
EIP .EQU 0xEF ;              0000'0000 Extensive interrupt priority
   PI2C = 0x01 ;Priority Inter-Integrated Circuit low bit
   PPI  = 0x02 ;Priority Pin Interrupt low bit
   PCAP = 0x04 ;Priority Input Capture low bit
   PPWM = 0x08 ;Priority Pulse Width Modulator low bit
   PWDT = 0x10 ;Priority Watchdog Timer low bit
   PFB  = 0x20 ;Priority Fault Brake low bit
   PSPI = 0x40 ;Priority Serial Peripheral Interface low bit
   PT2  = 0x80 ;Priority Timer 2 low bit
B .EQU 0xF0 ;                0000'0000 B register
   B0 .EQU 0xF0+0 ;B Bit 0
   B1 .EQU 0xF0+1 ;B Bit 1
   B2 .EQU 0xF0+2 ;B Bit 2
   B3 .EQU 0xF0+3 ;B Bit 3
   B4 .EQU 0xF0+4 ;B Bit 4
   B5 .EQU 0xF0+5 ;B Bit 5
   B6 .EQU 0xF0+6 ;B Bit 6
   B7 .EQU 0xF0+7 ;B Bit 7
   B_0 .EQU 0xF0+0 ;B Bit 0
   B_1 .EQU 0xF0+1 ;B Bit 1
   B_2 .EQU 0xF0+2 ;B Bit 2
   B_3 .EQU 0xF0+3 ;B Bit 3
   B_4 .EQU 0xF0+4 ;B Bit 4
   B_5 .EQU 0xF0+5 ;B Bit 5
   B_6 .EQU 0xF0+6 ;B Bit 6
   B_7 .EQU 0xF0+7 ;B Bit 7
CAPCON3 .EQU 0xF1 ;          0000'0000 Input capture control 3
   CAP00 = 0x01 ;Input Capture Channel 0 Pin Select 0
   CAP01 = 0x02 ;Input Capture Channel 0 Pin Select 1
   CAP02 = 0x04 ;Input Capture Channel 0 Pin Select 2
   CAP03 = 0x08 ;Input Capture Channel 0 Pin Select 3
   CAP0  = 0x0F ;Input Capture Channel 0 Pin Select
   CAP10 = 0x10 ;Input Capture Channel 1 Pin Select 0
   CAP11 = 0x20 ;Input Capture Channel 1 Pin Select 1
   CAP12 = 0x40 ;Input Capture Channel 1 Pin Select 2
   CAP13 = 0x80 ;Input Capture Channel 1 Pin Select 3
   CAP1  = 0xF0 ;Input Capture Channel 1 Pin Select
CAPCON4 .EQU 0xF2 ;          0000'0000 Input capture control 4
   CAP20 = 0x01 ;Input Capture Channel 2 Pin Select 0
   CAP21 = 0x02 ;Input Capture Channel 2 Pin Select 1
   CAP22 = 0x04 ;Input Capture Channel 2 Pin Select 2
   CAP23 = 0x08 ;Input Capture Channel 2 Pin Select 3
   CAP2  = 0x0F ;Input Capture Channel 2 Pin Select
SPCR .EQU 0xF3 ;             0000'0000 Serial Peripheral Interface Control Register
   SPR0  = 0x01 ;Serial Peripheral Rate 0
   SPR1  = 0x02 ;Serial Peripheral Rate 1
   SPR   = 0x03 ;Serial Peripheral Rate
   CPHA  = 0x04 ;Clock Phase
   CPOL  = 0x08 ;Clock Polarity
   MSTR  = 0x10 ;Master Mode Enable
   LSBFE = 0x20 ;Least Significant Bit First Enable
   SPIEN = 0x40 ;Serial Peripheral Interface Enable
   SSOE  = 0x80 ;Slave Select Output Enable
SPCR2 .EQU 0xF3 ;Page1       0000'0000 Serial Peripheral Interface Control Register 2
   SPIS0 = 0x01 ;Serial Peripheral Interval Select 0
   SPIS1 = 0x02 ;Serial Peripheral Interval Select 1
   SPIS  = 0x03 ;Serial Peripheral Interval Select
SPSR .EQU 0xF4 ;             0000'0000 Serial Peripheral Interface Status Register
   TXBUF   = 0x04 ;Transmit Buffer Status
   DISMODF = 0x08 ;Disable Mode Fault Detection
   MODF    = 0x10 ;Mode Fault Flag
   SPIOVF  = 0x20 ;Serial Peripheral Interface Overrun Flag
   WCOL    = 0x40 ;Write Collision Flag
   SPIF    = 0x80 ;Serial Peripheral Interface Complete Flag
SPDR .EQU 0xF5 ;             0000'0000 Serial Peripheral Interface Data Register
AINDIDS .EQU 0xF6 ;          0000'0000 Analog In Digital Input Disconnect
   P17DIDS = 0x01 ;Port 1 Bit 7 Digital Input Disable
   P30DIDS = 0x02 ;Port 3 Bit 0 Digital Input Disable
   P07DIDS = 0x04 ;Port 0 Bit 7 Digital Input Disable
   P06DIDS = 0x08 ;Port 0 Bit 6 Digital Input Disable
   P05DIDS = 0x10 ;Port 0 Bit 5 Digital Input Disable
   P04DIDS = 0x20 ;Port 0 Bit 4 Digital Input Disable
   P03DIDS = 0x40 ;Port 0 Bit 3 Digital Input Disable
   P11DIDS = 0x80 ;Port 1 Bit 1 Digital Input Disable
EIPH .EQU 0xF7 ;             0000'0000 Extensive interrupt priority high
   PI2CH = 0x01 ;Priority Inter-Integrated Circuit High
   PPIH  = 0x02 ;Priority Pin Interrupt High
   PCAPH = 0x04 ;Priority Input Capture High
   PPWMH = 0x08 ;Priority Pulse Width Modulator High
   PWDTH = 0x10 ;Priority Watchdog Timer High
   PFBH  = 0x20 ;Priority Fault Brake High
   PSPIH = 0x40 ;Priority Serial Peripheral Interface High
   PT2H  = 0x80 ;Priority Timer 2 High
SCON_1 .EQU 0xF8 ;           0000'0000 Serial port 1 control
   RI_1  .EQU 0xF8+0 ;Receive Interrupt 1
   TI_1  .EQU 0xF8+1 ;Transmit Interrupt 1
   RB8_1 .EQU 0xF8+2 ;Receive Bit 8 1
   TB8_1 .EQU 0xF8+3 ;Transmit Bit 8 1
   REN_1 .EQU 0xF8+4 ;Receive Enable 1
   SM2_1 .EQU 0xF8+5 ;Serial Mode 2 1
   SM1_1 .EQU 0xF8+6 ;Serial Mode 1 1
   SM0_1 .EQU 0xF8+7 ;(WR)Serial Mode 0 1
   FE_1  .EQU 0xF8+7 ;(RD)Framing Error 1
PDTEN .EQU 0xF9 ;TA          0000'0000 PWM Dead Time Enable
   PDT01EN  = 0x01 ;PWM 0 & 1 Dead Time Enable
   PDT23EN  = 0x02 ;PWM 2 & 3 Dead Time Enable
   PDT45EN  = 0x04 ;PWM 4 & 5 Dead Time Enable
   PDTCNT_8 = 0x10 ;PWM Dead Time Counter 8-bit
PDTCNT .EQU 0xFA ;TA         0000'0000 PWM Dead-time Counter
PMEN .EQU 0xFB ;             0000'0000 PWM Mask Enable
   PMEN0 = 0x01 ;PWM 0 Mask Enable
   PMEN1 = 0x02 ;PWM 1 Mask Enable
   PMEN2 = 0x04 ;PWM 2 Mask Enable
   PMEN3 = 0x08 ;PWM 3 Mask Enable
   PMEN4 = 0x10 ;PWM 4 Mask Enable
   PMEN5 = 0x20 ;PWM 5 Mask Enable
PMD .EQU 0xFC ;              0000'0000 PWM Mask Data
   PMD0 = 0x01 ;PWM 0 Mask Data
   PMD1 = 0x02 ;PWM 1 Mask Data
   PMD2 = 0x04 ;PWM 2 Mask Data
   PMD3 = 0x08 ;PWM 3 Mask Data
   PMD4 = 0x10 ;PWM 4 Mask Data
   PMD5 = 0x20 ;PWM 5 Mask Data
PORDIS .EQU 0xFD ;TA         0000'0000 Power On Reset Disable
EIP1 .EQU 0xFE ;             0000'0000 Extensive Interrupt Priority 1
   PS_1 = 0x01 ;Priority Serial Port 1 Low Bit
   PT3  = 0x02 ;Priority Timer 3 Low Bit
   PWKT = 0x04 ;Priority Wake-up Timer Low Bit
EIPH1 .EQU 0xFF ;            0000'0000 Extensive Interrupt Priority High 1
   PSH_1 = 0x01 ;Priority Serial Port 1 High Bit
   PT3H  = 0x02 ;Priority Timer 3 High Bit
   PWKTH = 0x04 ;Priority Wake-up Timer High Bit

;Interrupt numbers: Address = ( Number * 8 ) + 3
;Vectors are named after their corresponding interrupt
;enable register bit, so that we don't have to make up
;names and can be consisten across different 8051 MCUs
   X0_VECTOR  = 0  ; 0x03 External Interrupt 0
   T0_VECTOR  = 1  ; 0x0B Timer 0
   X1_VECTOR  = 2  ; 0x13 External Interrupt 1
   T1_VECTOR  = 3  ; 0x1B Timer 1
   S_VECTOR   = 4  ; 0x23 Serial Port 0
   T2_VECTOR  = 5  ; 0x2B Timer 2
   I2C_VECTOR = 6  ; 0x33 Inter-Integrated Circuit
   PI_VECTOR  = 7  ; 0x3B Pin Interrupt
   BOD_VECTOR = 8  ; 0x43 Brown-out
   SPI_VECTOR = 9  ; 0x4B Serial Peripheral Interface
   WDT_VECTOR = 10 ; 0x53 Watchdog timer
   ADC_VECTOR = 11 ; 0x5B Analog Digital Converter
   CAP_VECTOR = 12 ; 0x63 Input Capture
   PWM_VECTOR = 13 ; 0x6B Pulse Width Modulator
   FB_VECTOR  = 14 ; 0x73 Fault Brake Event
   S1_VECTOR  = 15 ; 0x7B Serial Port 1
   T3_VECTOR  = 16 ; 0x83 Timer 3
   WKT_VECTOR = 17 ; 0x8B Self Wake-up Timer

;.endif